<div class="flex flex-col flex-auto items-center sm:min-w-0" style="background-color: #f8f8f8">
    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="back()">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">keyboard_arrow_left</mat-icon><span
                class="mt-6 mb-6 font-Semibold-16" style="color: #0038ff">Back</span>
        </div>
        <div>
            <mat-icon class="mt-6 cursor-pointer" style="color: #0038ff">help_outline</mat-icon>
        </div>
    </div>

    <div id="withdrawalColor" class="flex flex-col sm:flex-row sm:flex-wrap sm:mx-6 sm:mt-4">
        <div class="sm:flex-1">
            <div class="text-indigo-900 font-Semibold-40 leading-none mt-6 sm:px-6 mb-7" style="text-align: center">
                Withdrawal Confirmation
            </div>
        </div>
    </div>
    <div class="w-full items-center justify-center max-w-100 sm:w-100 mx-auto sm:mx-0 mb-10">
        <div class="">
            <!-- Main -->
            <!-- CONTENT GOES HERE -->
            <form>
                <div class="bg-card rounded-1xl shadow overflow-hidden pb-3">
                    <div class="items-center justify-center" style="text-align: left">
                        <div class="pb-5 mt-7 ml-7">
                            <div class="font-Semibold-18">
                                Withdrawal Details
                            </div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">Date</div>
                            <div class="font-Semibold-16">
                                {{ today | date : "dd MMMM yyyy - hh:mm:ss a" }}
                            </div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">
                                Bank Account
                            </div>
                            <div class="font-Semibold-16">{{ bankName }}</div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">
                                Account Number
                            </div>
                            <div class="font-Semibold-16">
                                {{ accountNumber }}
                            </div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">
                                Withdrawal Amount
                            </div>
                            <div class="font-Semibold-16">
                                RM{{ amount | number : "1.2-2" }}
                            </div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">
                                Transaction Fee
                            </div>
                            <div class="font-Semibold-16">
                                RM{{ chargeTransFee | number : "1.2-2" }}
                            </div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">
                                SST {{ setupSstFee | number : "1.2-2"
                                }}{{ setupSstOum }}
                            </div>
                            <div class="font-Semibold-16">
                                RM{{ chargeSstFee | number : "1.2-2" }}
                            </div>
                        </div>
                        <div class="border-t my-2 mx-7"></div>
                        <div class="pb-5 ml-7 pt-5">
                            <div class="font-Regular-16 font-7B7B7B">
                                Total Amount
                            </div>
                            <div class="font-Semibold-16">
                                RM{{ totalAmount | number : "1.2-2" }}
                            </div>
                        </div>

                        <div id="withdrawConfirm"
                            class="relative flex flex-col flex-auto items-center w-auto mb-3 mt-5 mx-7">
                            <button class="fuse-mat-button-large w-full button-r5" mat-flat-button [color]="'primary'"
                                (click)="confirmWithdraw()">
                                <span class="font-Semibold-14">Confirm</span>
                            </button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>